Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class IfsCredentialNameTokenizer

    java.lang.Object
      oracle.ifs.common.IfsCredentialNameTokenizer

All Implemented Interfaces:
  java.io.Serializable, CredentialNameTokenizer

    public class IfsCredentialNameTokenizer

extends java.lang.Object
implements CredentialNameTokenizer

IfsCredentialNameTokenizer is the standard CredentialNameTokenizer for iFS.

IfsCredentialNameTokenizer is compatible with both IfsCredentialManager and OidCredentialManager. Usernames are synthesized from userids and subscriber names as follows: `userid@subscriber-name`. A null subscriber name indicates a default subscriber (the meaning of which is specific to each CredentialManager implementation); in this case the username format is simply `userid`.

See Also:
  Serialized Form
(Published)

Constructor Summary
`IfsCredentialNameTokenizer()` Constructs an IfsCredentialNameTokenizer.

Method Summary
`void` | `dispose()` Called by the iFS service to dispose this IfsCredentialNameTokenizer.
`java.lang.String` | `getSubscriberName(java.lang.String userName)` Gets the subscriber name for the specified username.
`java.lang.String` | `getUserid(java.lang.String userName)` Gets the userid for the specified username.
`java.lang.String` | `getUserName(java.lang.String userid, java.lang.String subscriberName)` Gets the username for the specified userid and subscriber name.
`void` | `initialize(S_LibraryService service)` Called by the iFS service to initialize this IfsCredentialNameTokenizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsCredentialNameTokenizer

    public IfsCredentialNameTokenizer()
                               throws IfsException

  Constructs an IfsCredentialNameTokenizer.

  Throws:
    `IfsException` - (IFS-12700) if the operation fails
  (Published)

Method Detail

### initialize

    public void initialize(S_LibraryService service)
                    throws IfsException

  Description copied from class: `IfsCredentialNameTokenizer`
  Called by the iFS service to initialize this IfsCredentialNameTokenizer.

  Specified by:
    `initialize` in interface `CredentialNameTokenizer`
  Parameters:
    `service` - the iFS service to which this IfsCredentialNameTokenizer belongs
  Throws:
    `IfsException` - (IFS-12701) if the operation fails
  (Published)

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `IfsCredentialNameTokenizer`
  Called by the iFS service to dispose this IfsCredentialNameTokenizer.

  Specified by:
    `dispose` in interface `CredentialNameTokenizer`
  Throws:
    `IfsException` - (IFS-12702) if the operation fails
  (Published)

### getUserName

    public java.lang.String getUserName(java.lang.String userid,
                                        java.lang.String subscriberName)
                                 throws IfsException

  Description copied from class: `IfsCredentialNameTokenizer`
  Gets the username for the specified userid and subscriber name.

  Specified by:
    `getUserName` in interface `CredentialNameTokenizer`
  Parameters:
    `userid` - the userid of the user
    `subscriberName` - the subscriber of the user
  Returns:
    the username
  Throws:
    `IfsException` - (IFS-12710) if the operation fails
  (Published)

### getUserid

    public java.lang.String getUserid(java.lang.String userName)
                               throws IfsException

  Description copied from class: `IfsCredentialNameTokenizer`
  Gets the userid for the specified username.

  Specified by:
    `getUserid` in interface `CredentialNameTokenizer`
  Parameters:
    `userName` - the username of the user
  Returns:
    the userid
  Throws:
    `IfsException` - (IFS-12711) if the operation fails
  (Published)

### getSubscriberName

    public java.lang.String getSubscriberName(java.lang.String userName)
                                       throws IfsException

  Description copied from class: `IfsCredentialNameTokenizer`
  Gets the subscriber name for the specified username.

  Specified by:
    `getSubscriberName` in interface `CredentialNameTokenizer`
  Parameters:
    `userName` - the username of the user
  Returns:
    the subscriber name
  Throws:
    `IfsException` - (IFS-12712) if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD